INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (2, 1, 2, 'SYS1', 'Ukázkový knihovní systém 1');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (3, 1, 2, 'SYS2', 'Ukázkový knihovní systém 2');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (4, 2, 3, 'KN1', 'Ukázková knihovna 1');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (5, 2, 3, 'KN2', 'Ukázková knihovna 2');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (6, 3, 3, 'KN3', 'Ukázková knihovna 3');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (7, 3, 3, 'KN4', 'Ukázková knihovna 4');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (8, 4, 4, 'POB1','Pobočka 1');
INSERT INTO actor.org_unit (id, parent_ou, ou_type, shortname, name) VALUES 
    (9, 6, 5, 'BB1','Bibliobus 1');

-- Address for the Consortium
SELECT evergreen.create_aou_address(1, 'Konsorciální 1', NULL, 'Zeleneč', '', 'CZ', '250 91', NULL);

-- Addresses for System 1
SELECT evergreen.create_aou_address(2, 'Knihovnická 1', NULL, 'Zeleneč', '', 'CZ', '250 91', NULL);

-- Addresses for System 2
SELECT evergreen.create_aou_address(3, 'Čtenářská 2', NULL, 'Zeleneč', '', 'CZ', '250 91', NULL);

-- Addresses for Branch 1
SELECT evergreen.create_aou_address(4, 'Ukázková knihovna 1', 'Tiskařská 5', 'Zeleneč', '', 'CZ', '250 91', 'účetní adresa');
SELECT evergreen.create_aou_address(4, 'Ukázková knihovna 1 - MVS', 'Tiskařská 7', 'Zeleneč', '', 'CZ', '250 91', 'meziknihovní výpůjčky');

-- Addresses for Branch 2
SELECT evergreen.create_aou_address(5, 'Ukázková knihovna 2', 'Papírenská 10', 'Zeleneč', '', 'CZ', '250 91', 'poštovní styk');
SELECT evergreen.create_aou_address(5, 'Ukázková knihovna 2 - účtárna', 'Papírenská 12 ', 'Zeleneč', '', 'US', '30304', 'účtárna');

-- Addresses for Branch 3
SELECT evergreen.create_aou_address(6, 'Ukázková knihonva 3', 'U Školy 3', 'Zeleneč', '', 'CZ', '250 91', NULL);

-- Addresses for Branch 4
SELECT evergreen.create_aou_address(7, 'Ukázková knihovna 4', 'Zbořená 1', 'Zeleneč', '', 'CZ', '250 91', NULL);

-- Hours for branches
INSERT INTO actor.hours_of_operation (id, dow_0_open, dow_0_close, dow_1_open, dow_1_close,
    dow_2_open, dow_2_close, dow_3_open, dow_3_close, dow_4_open, dow_4_close,
    dow_5_open, dow_5_close, dow_6_open, dow_6_close) VALUES
-- BR1 - closed on weekends (convention is 00:00 - 00:00)
    (4, '08:00', '23:30', '08:00', '23:30', '08:00', '23:30', '08:00', '23:30', '09:00', '23:30', '00:00', '00:00', '00:00', '00:00'),
-- BR2 - accept defaults of 09:00 - 17:00 for some days
    (5, '08:30', '21:30', '09:30', '14:30', '10:00', '21:30', '08:30', '17:00', '09:00', '17:00', '09:00', '17:00', '09:00', '17:00'),
-- BR3 - accept defaults of 09:00 - 17:00 for some days
    (6, '08:00', '23:30', '08:00', '23:30', '08:00', '23:30', '08:00', '23:30', '09:00', '23:30', '13:00', '23:30', '09:00', '23:30'),
-- BR4 - accept defaults of 09:00 - 17:00 for each day
    (7, '09:00', '17:00', '09:00', '17:00', '09:00', '17:00', '09:00', '17:00', '09:00', '17:00', '09:00', '17:00', '09:00', '17:00');

-- Set some information URLs for library branches
INSERT INTO actor.org_unit_setting(org_unit, name, value) VALUES
    (4, 'lib.info_url', '"http://example.com/KN1"'), -- BR1
    (5, 'lib.info_url', '"http://example.com/KN2"'), -- BR2
    (6, 'lib.info_url', '"http://kn3.example.com"'), -- BR3
    (7, 'lib.info_url', '"http://kn4.example.com/info"'); -- BR4


UPDATE actor.org_unit SET email = 'kn1@example.com', phone = '(555) 555-0271' WHERE shortname = 'KN1';
UPDATE actor.org_unit SET email = 'kn2@example.com', phone = '(555) 555-0272' WHERE shortname = 'KN2';
UPDATE actor.org_unit SET email = 'kn3@example.com', phone = '(555) 555-0273' WHERE shortname = 'KN3';
UPDATE actor.org_unit SET email = 'kn4@example.com', phone = '(555) 555-0274' WHERE shortname = 'KN4';
