BEGIN;

-- stop on error
\set ON_ERROR_STOP on

-- build functions, tables
\i env_create.sql

-- z3950 configuration
\i cz_z3950.sql

-- load libraries (org units)
\i cz_libraries.sql

-- load concerto authorities
\i cz_auth_concerto.sql

-- load concerto bibs
\i cz_bibs_concerto.sql

-- insert all loaded bibs into the biblio.record_entry
INSERT INTO biblio.record_entry (marc, last_xact_id) 
   SELECT marc, tag FROM marcxml_import ORDER BY id;

-- load concerto copies, etc.
\i cz_assets_concerto.sql

-- load cz concerto staff users
\i cz_users_staff_10.sql

-- load cz concerto patrons 
\i cz_users_patrons_10.sql

-- clean up the env
\i env_destroy.sql

COMMIT;
